################# Compute RSS_0 and RSS_1 based on (1.19) and (1.20) ###
	RSS1 <- sum(fig111.resid^2)
############## true functions    ########################
############### compute fitted values under true a1 and a2 #################
   #n<-length(fig110.data)
   #y<-fig110.data[3:n]                # Y_t
   #u<-fig110.data[1:(n-2)]            # U_t
   #x1<-fig110.data[2:(n-1)]           # X_{1t}
   #x2<-fig110.data[1:(n-2)]           # X_{2t}
############## RSS0 under true models    ########################
   a1<-function(x){1.25*(x<=3.25)+1.52*(x>3.25)}
   a2<-function(x){ (0.62/x-0.43)*(x<=3.25) + (2.25/x-1.24)*(x>3.25)}
   yhat <- a1(u)*x1+a2(u)*x2
   RSS0a <- sum((yhat-y)^2)

################## RSS0 under thresholding model ##################

   ######### Take first fraction of the data #############
   #y1   <- y[u < 3.25]
   #x11  <- x1[u < 3.25]
   #x21  <- x2[u < 3.25]
   #u1   <- u[u < 3.25]
   resid1 <- lm(y1~ x11 + x21)$resid
   ######### Take second fraction of the data #############
   # u02 <-  u0[u0 >= 3.25]
   # y2   <- y[u >= 3.25]
   # x12  <- x1[u >= 3.25]
   # x22  <- x2[u >= 3.25]
   # u2   <- u[u >= 3.25]
   resid2 <- lm(y2~ x12 + x22)$resid
   RSS0b <- sum(c(resid1,resid2)^2)

################### RSS_0 under AR(2) model ###################
   RSS0c <- 198*ar(fig110.data,aic=F,order.max=2)$var.pred

   log(RSS0a/RSS1)*198/2
   log(RSS0b/RSS1)*198/2
   log(RSS0c/RSS1)*198/2

